varying vec2 texCoord;
uniform sampler2D colorMap;
uniform sampler2D colorGradient;
uniform float colorIndex;
uniform float colorSelect;

void main (void)
{
    vec4 color=texture2D(colorMap, texCoord);
    gl_FragColor = color*texture2D(colorGradient, vec2(colorIndex,colorSelect));
	//gl_FragColor = texture2D(colorMap, texCoord);
}
